# This product is licensed under the GNU Lesser General Public License:
#
# ATManagedFile  |  Copyright(C), 2004, Enfold Systems, LLC
#
# Enfold Systems, LLC
# 4500 Montrose Blvd., Suite D
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# For a full copy of the license, please see the included 'LGPL.txt' file.
"""
$Id: filesystem.py 1398 2005-04-11 22:46:45Z sidnei $
"""

from AccessControl import ClassSecurityInfo
from Globals import InitializeClass
from Products.CMFManagedFile.policies import filesystem
from Products.CMFManagedFile.policies._policies import filesystem_policies
from Products.ATManagedFile import config

register = filesystem_policies.register

class UIDPolicy(filesystem.PathPolicy):
    """
    Policy which stores objects in basedir/$physical_path/$uuid
    """

    security = ClassSecurityInfo()

    security.declarePrivate('_getPath')
    def _getPath(self, obj):
        return tuple(obj.getPhysicalPath()[:-1]) + (obj.UID(),)

InitializeClass(UIDPolicy)
register(UIDPolicy(), name=config.FS_PHYSICAL_UID)
